regina::detail::BoundaryComponentFaceStorage< dim, false > Class Template Reference
Implementation details

Helper class for storing the necessary faces of a boundary component of a dim-dimensional triangulation. More...

`#include <triangulation/detail/boundarycomponent.h>`

## Public Member Functions

size_t | size () const
| Returns the number of (dim-1)-faces in this boundary component. More...
size_t | countRidges () const
| Returns the number of (dim-2)-faces in this boundary component. More...
const std::vector< Face< dim, dim-1 > * > & | facets () const
| Returns all (dim-1)-faces in this boundary component. More...
Face< dim, dim-1 > * | facet (size_t index) const
| Returns the requested (dim-1)-face in this boundary component. More...
Triangulation< dim > * | triangulation () const
| Returns the triangulation to which this boundary component belongs. More...
Component< dim > * | component () const
| Returns the connected component of the triangulation to which this boundary component belongs. More...

## Static Public Attributes

static constexpr bool | allFaces = false
| A compile-time constant indicating whether this boundary component class stores all lower-dimensional faces (`true`), or only faces of dimension dim-1 (`false`). More...

## Protected Member Functions

| BoundaryComponentFaceStorage ()
| Default constructor that initialises the number of ridges to zero. More...
void | push_back (Face< dim, dim-1 > *face)
| Pushes the given face onto the end of the list of (dim-1)-faces of this boundary component. More...
void | push_back (Face< dim, dim-2 > *)
| Increments the number of (dim-2)-faces in this boundary component. More...
template<int subdim>
void | push_back (Face< dim, subdim > *)
| Does nothing, since this boundary component does not store lower-dimensional faces. More...
void | reorderAndRelabelFaces (Triangulation< dim-1 > *) const
| Reorders all lower-dimensional faces of the given triangulation so that they appear in the same order as the corresponding faces of this boundary component, and relabels these faces so that their vertices are numbered in a corresponding way. More...

## Protected Attributes

std::vector< Face< dim, dim-1 > * > | facets_
| List of all (dim-1)-simplices in the boundary component. More...
size_t | nRidges_
| The number of (dim-2)-faces in the boundary component. More...

## Detailed Description

### template<int dim>
class regina::detail::BoundaryComponentFaceStorage< dim, false >

Helper class for storing the necessary faces of a boundary component of a dim-dimensional triangulation.

See the general BoundaryComponentFaceStorage template notes for further details.

This specialisation is used for dimensions in which only (dim-1)-dimensional faces are stored. It therefore removes the member functions for accessing lower-dimensional faces.

The documentation for this class was generated from the following file:

- triangulation/detail/boundarycomponent.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).